<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
include_once GROCERY_CRUD;

class Relacionamento extends Grocery
{
    function __construct() 
    {
        parent::__construct();
        $this->load->model('painel_model');
        //$this->load->model('newsletter_model');
    }
    
    public function relacionamentos()
	{
		try{		
			$this->ini_method();
			$crud = new Custom_Grocery_CRUD();
			$this->valida_acoes($crud);
			
			$crud->set_table('nwl_lista_custom');
			$crud->set_subject('Lista relacionamentos');
			//$data['html_custom'] = '<div class="callout callout-info"><h4>Instrução</h4><p>A Tabela de lista adicionada aqui deve conter os seguintes campos: "nome", "sql", "campo_email"</p></div>';
			//Template::set($data);
			$crud->unset_texteditor('sql');
			$output = $crud->render();
			$this->_example_output($output);
			
		}catch(Exception $e){
			show_error($e->getMessage().' --- '.$e->getTraceAsString());
		}
	}
    
}